[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] travis: Fix build with newer Qemu


  • To: Xen-devel <xen-devel@xxxxxxxxxxxxxxxxxxxx>
  • From: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
  • Date: Mon, 14 Sep 2020 14:23:55 +0100
  • Authentication-results: esa4.hc3370-68.iphmx.com; dkim=none (message not signed) header.i=none
  • Cc: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>, Doug Goldstein <cardoe@xxxxxxxxxx>, Wei Liu <wl@xxxxxxx>
  • Delivery-date: Mon, 14 Sep 2020 13:24:30 +0000
  • Ironport-sdr: vjwFsciLPGIJW2s9ODx2CWXXqb4hcjnO6xRMLfBHjqdq02pTKmIGmfjjNBQ0EXUBGb5XVQ4Uaf HUGg8fnK8wPyTc1TF5rB8x+yadRe8YQbcTzan65MOBKEpSVoB+gRy7W1MeAHGoQDMr5349agFA vNXzcoIzTCtnI8ZJZAY3d1BdlWs2/L+oRHqrAOErRYP6vQmetx9XARXXBeG1xgYcvEVwW9oCBu ik4UTz0VuYLog1vnFsekw/TD3v1EhLd495CU+mFE+2nc1QfVRYOTICmfxWgrnGYNBVIHfr9l9b US4=
  • List-id: Xen developer discussion <xen-devel.lists.xenproject.org>

Qemu requires a bleeding edge version of Python, not found in the current
travis environment.  Skip building Qemu in that case.

Signed-off-by: Andrew Cooper <andrew.cooper3@xxxxxxxxxx>
---
CC: Doug Goldstein <cardoe@xxxxxxxxxx>
CC: Wei Liu <wl@xxxxxxx>
---
 scripts/travis-build | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/scripts/travis-build b/scripts/travis-build
index 0cb15a89e4..08a1f66b84 100755
--- a/scripts/travis-build
+++ b/scripts/travis-build
@@ -16,6 +16,11 @@ cfgargs+=("--disable-rombios")
 cfgargs+=("--enable-docs")
 cfgargs+=("--with-system-seabios=/usr/share/seabios/bios.bin")
 
+# Qemu requires Python 3.7 or later
+if ! type python3 || python3 -c "import sys; res = sys.version_info < (3, 7); 
exit(not(res))"; then
+    cfgargs+=("--with-system-qemu=/bin/false")
+fi
+
 if [[ "${XEN_TARGET_ARCH}" == "x86_64" ]]; then
     cfgargs+=("--enable-tools")
 else
-- 
2.11.0




 


Rackspace

Lists.xenproject.org is hosted with RackSpace, monitoring our
servers 24x7x365 and backed by RackSpace's Fanatical Support®.